ressource.socialbetadocumentation
API referenceComments

Comment in one thread of a source

The author is the caller. `@username` mentions notify the people named who can read the thread; the owner and a replied-to author are notified as in the app. A reply's `parent_comment_id` must be in the same thread (400). A thread the caller may not write to is 403 — a community they are not a member of, someone else's notes, the public thread of a source that is not public. Past the comment limits, 429.

POST
/api/v1/sources/{id}/comments

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

The author is the caller. @username mentions notify the people named who can read the thread; the owner and a replied-to author are notified as in the app. A reply's parent_comment_id must be in the same thread (400). A thread the caller may not write to is 403 — a community they are not a member of, someone else's notes, the public thread of a source that is not public. Past the comment limits, 429.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Path Parameters

id*string
Length1 <= length

Request Body

application/json
  1. body
content*string
Length1 <= length <= 10000
parent_comment_id?|null
organization_id?|null
is_note?boolean

Response Body

The comment

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
bookmark_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
user_id*|null
content*string
parent_comment_id*|null
organization_id*|null
is_note*boolean
mentions*array<>|null
created_at*string
updated_at*string|null
user*|

Null for a private member the caller is not connected to

curl -X POST 'https://www.ressource.social/api/v1/sources/string/comments' \  -H 'Content-Type: application/json' \  -d '{  "content": "string"}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "bookmark_id": "49a78d35-bc45-4a39-a336-d00349864577",  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",  "content": "string",  "parent_comment_id": "42e5891d-0323-4706-8826-2064102ce531",  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",  "is_note": true,  "mentions": [    "777c52f7-3433-49cb-b0a3-cd6473c2c951"  ],  "created_at": "string",  "updated_at": "string",  "user": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "username": "string",    "full_name": "string",    "avatar_url": "string"  }}